Airwallex logo
Airwallex logoAirwallex logo

Create a PaymentLink

POST /api/v1/pa/payment_links/create

Create a new payment link.

Request body
amountnumber

The payment amount. For Fixed pricing only.

collectable_shopper_infoobject

Every payment link requires the shopper to enter their name and email address. Additionally, you can request information for the following fields on each payment link.

collectable_shopper_info.billing_addressboolean

Defaults to false. If true, the shopper is required to input their billing address.

collectable_shopper_info.messageboolean

Defaults to true. This is an optional field for the shopper to leave a message with their payment.

collectable_shopper_info.phone_numberboolean

Defaults to false. If true, the shopper is required to input their phone number.

collectable_shopper_info.referenceboolean

Defaults to false. If true, the shopper is required to input a reference.

collectable_shopper_info.shipping_addressboolean

Defaults to false. If true, the shopper is required to input their shipping address.

connected_account_idstring

Airwallex assigned account identifier of the connected entity(another account which is linked with platform). It is to be used by the platform to indicate the connected entity in the transaction where platform is the owner of transaction. Notice: This can not be used with x-on-behalf-of header together.

currencystring

The payment currency. For Fixed pricing only.

customer_idstring

The Customer who is paying for this PaymentLink. Only applicable for links with reusable equals to false. This field is required if you want the payer to see the payment methods saved in the previous checkouts.

default_currencystring

The default payment currency from the list of supported_currencies. The shopper can change the payment currency during checkout. For Flexible pricing only.

descriptionstring

The additional description text that appears under the title in the payment checkout page.

expires_atstring

Payment link expiry timestamp in ISO 8601 format

metadataobject

A set of key-value pairs that you can attach to the PaymentLink for storing additional information.

referencestring

A reference only visible to the merchant.

reusablerequiredboolean

Specifies whether the payment link can be used once or multiple times

supported_currenciesarray

List of supported currencies the shopper may choose from. For Flexible pricing only.

titlerequiredstring

The title of the payment link that is displayed in the payment checkout page.

Response body - 200 OK
activeboolean

The payment link’s active status, either true or false.

amountnumber

The payment amount for Fixed pricing.

collectable_shopper_infoobject

Every payment link requires the shopper to enter their name and email address. Additionally, you can request information for the following fields on each payment link.

collectable_shopper_info.billing_addressboolean

Defaults to false. If true, the shopper is required to input their billing address.

collectable_shopper_info.messageboolean

Defaults to true. This is an optional field for the shopper to leave a message with their payment.

collectable_shopper_info.phone_numberboolean

Defaults to false. If true, the shopper is required to input their phone number.

collectable_shopper_info.referenceboolean

Defaults to false. If true, the shopper is required to input a reference.

collectable_shopper_info.shipping_addressboolean

Defaults to false. If true, the shopper is required to input their shipping address.

created_atstring

Timestamp in ISO 8601 format when the payment link was created

currencystring

The payment currency for Fixed pricing.

customer_idstring

The Customer who is paying for this PaymentLink. Only applicable for links with reusable equals to false. This field is required if you want the payer to see the payment methods saved in the previous checkouts.

default_currencystring

The default currency for Flexible pricing.

descriptionstring

The additional description text that appears under the title in the payment checkout page.

expires_atstring

Payment link expiry timestamp in ISO 8601 format

idstring

Payment link unique identifier

latest_successful_payment_intent_idstring

PaymentIntent unique identifier of the latest payment (if any) successfully paid by your shopper via the payment link.

metadataobject

A set of key-value pairs that you can attach to the PaymentLink for storing additional information.

referencestring

A reference only visible to the merchant.

reusableboolean

Specifies whether the payment link can be used once or multiple times

statusstring

Status of the payment link, one of UNPAID or PAID. The payment link transitions from UNPAID to PAID when a payment is received.

successful_payment_intent_countinteger

The number of PaymentIntents successfully paid by your shopper via the payment link.

supported_currenciesarray

The supported currencies for Flexible pricing.

titlestring

The title of the payment link that is displayed in the payment checkout page.

updated_atstring

Timestamp in ISO 8601 format when the payment link was last updated

urlstring

The payment URL to the checkout page.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, configuration_error, resource_not_found(invalid customer_id)

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/payment_links/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_links/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "amount": 165.15,
> "collectable_shopper_info": {
> "billing_address": false,
> "message": true,
> "phone_number": false,
> "reference": false,
> "shipping_address": false
> },
> "connected_account_id": "acct_4lnVokTfP3ulKDlzLDJdjg",
> "currency": "EUR",
> "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
> "default_currency": "EUR",
> "description": "shoes and dress",
> "expires_at": "2021-11-04T16:00:00Z",
> "metadata": {
> "customer_id": "12345678"
> },
> "reference": "1529",
> "reusable": false,
> "supported_currencies": [
> "EUR",
> "AUD"
> ],
> "title": "Order #1529"
>}'
Response (200 OK)
1{
2 "active": true,
3 "amount": 165.15,
4 "collectable_shopper_info": {
5 "billing_address": false,
6 "message": true,
7 "phone_number": false,
8 "reference": false,
9 "shipping_address": false
10 },
11 "created_at": "2021-08-17T11:00:00+00:00",
12 "currency": "EUR",
13 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
14 "default_currency": "EUR",
15 "description": "shoes and dress",
16 "expires_at": "2021-11-04T16:00:00+00:00",
17 "id": "475dc845-bc7c-47eb-b2b0-52782b9d078d",
18 "latest_successful_payment_intent_id": "int_e65tkXCSzJrsMpTrzoFrjaau53",
19 "metadata": {
20 "customer_id": "12345678"
21 },
22 "reference": "1529",
23 "reusable": true,
24 "status": "PAID",
25 "successful_payment_intent_count": 1,
26 "supported_currencies": [
27 "EUR",
28 "AUD"
29 ],
30 "title": "Order #1529",
31 "updated_at": "2021-08-17T11:05:00+00:00",
32 "url": "https://pay.airwallex.com/hkdab0d955b5"
33}
Was this section helpful?

Update a PaymentLink

POST /api/v1/pa/payment_links/{id}/update

Update attributes of an existing payment link.

Parameters
idrequiredstring

Payment link unique identifier

Request body
amountnumber

The payment amount. For Fixed pricing only.

collectable_shopper_infoobject

Every payment link requires the shopper to enter their name and email address. Additionally, you can request information for the following fields on each payment link.

collectable_shopper_info.billing_addressboolean

Defaults to false. If true, the shopper is required to input their billing address.

collectable_shopper_info.messageboolean

Defaults to true. This is an optional field for the shopper to leave a message with their payment.

collectable_shopper_info.phone_numberboolean

Defaults to false. If true, the shopper is required to input their phone number.

collectable_shopper_info.referenceboolean

Defaults to false. If true, the shopper is required to input a reference.

collectable_shopper_info.shipping_addressboolean

Defaults to false. If true, the shopper is required to input their shipping address.

currencystring

The payment currency. For Fixed pricing only.

default_currencystring

The default payment currency from the list of supported_currencies. The shopper can change the payment currency during checkout. For Flexible pricing only.

descriptionstring

The additional description text that appears under the title in the payment checkout page.

metadataobject

A set of key-value pairs that you can attach to the PaymentLink for storing additional information.

referencestring

A reference only visible to the merchant.

supported_currenciesarray

List of supported currencies the shopper may choose from. For Flexible pricing only.

titlestring

The title of the payment link that is displayed in the payment checkout page.

Response body - 200 OK
activeboolean

The payment link’s active status, either true or false.

amountnumber

The payment amount for Fixed pricing.

collectable_shopper_infoobject

Every payment link requires the shopper to enter their name and email address. Additionally, you can request information for the following fields on each payment link.

collectable_shopper_info.billing_addressboolean

Defaults to false. If true, the shopper is required to input their billing address.

collectable_shopper_info.messageboolean

Defaults to true. This is an optional field for the shopper to leave a message with their payment.

collectable_shopper_info.phone_numberboolean

Defaults to false. If true, the shopper is required to input their phone number.

collectable_shopper_info.referenceboolean

Defaults to false. If true, the shopper is required to input a reference.

collectable_shopper_info.shipping_addressboolean

Defaults to false. If true, the shopper is required to input their shipping address.

created_atstring

Timestamp in ISO 8601 format when the payment link was created

currencystring

The payment currency for Fixed pricing.

customer_idstring

The Customer who is paying for this PaymentLink. Only applicable for links with reusable equals to false. This field is required if you want the payer to see the payment methods saved in the previous checkouts.

default_currencystring

The default currency for Flexible pricing.

descriptionstring

The additional description text that appears under the title in the payment checkout page.

expires_atstring

Payment link expiry timestamp in ISO 8601 format

idstring

Payment link unique identifier

latest_successful_payment_intent_idstring

PaymentIntent unique identifier of the latest payment (if any) successfully paid by your shopper via the payment link.

metadataobject

A set of key-value pairs that you can attach to the PaymentLink for storing additional information.

referencestring

A reference only visible to the merchant.

reusableboolean

Specifies whether the payment link can be used once or multiple times

statusstring

Status of the payment link, one of UNPAID or PAID. The payment link transitions from UNPAID to PAID when a payment is received.

successful_payment_intent_countinteger

The number of PaymentIntents successfully paid by your shopper via the payment link.

supported_currenciesarray

The supported currencies for Flexible pricing.

titlestring

The title of the payment link that is displayed in the payment checkout page.

updated_atstring

Timestamp in ISO 8601 format when the payment link was last updated

urlstring

The payment URL to the checkout page.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, invalid_status_for_operation, configuration_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url), resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/payment_links/{id}/update
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_links/payment_link_id/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "amount": 165.15,
> "collectable_shopper_info": {
> "billing_address": false,
> "message": true,
> "phone_number": false,
> "reference": false,
> "shipping_address": false
> },
> "currency": "EUR",
> "default_currency": "EUR",
> "description": "shoes and dress",
> "metadata": {
> "customer_id": "12345678"
> },
> "reference": "1529",
> "supported_currencies": [
> "EUR",
> "AUD"
> ],
> "title": "Order #1529"
>}'
Response (200 OK)
1{
2 "active": true,
3 "amount": 165.15,
4 "collectable_shopper_info": {
5 "billing_address": false,
6 "message": true,
7 "phone_number": false,
8 "reference": false,
9 "shipping_address": false
10 },
11 "created_at": "2021-08-17T11:00:00+00:00",
12 "currency": "EUR",
13 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
14 "default_currency": "EUR",
15 "description": "shoes and dress",
16 "expires_at": "2021-11-04T16:00:00+00:00",
17 "id": "475dc845-bc7c-47eb-b2b0-52782b9d078d",
18 "latest_successful_payment_intent_id": "int_e65tkXCSzJrsMpTrzoFrjaau53",
19 "metadata": {
20 "customer_id": "12345678"
21 },
22 "reference": "1529",
23 "reusable": true,
24 "status": "PAID",
25 "successful_payment_intent_count": 1,
26 "supported_currencies": [
27 "EUR",
28 "AUD"
29 ],
30 "title": "Order #1529",
31 "updated_at": "2021-08-17T11:05:00+00:00",
32 "url": "https://pay.airwallex.com/hkdab0d955b5"
33}
Was this section helpful?

Retrieve a PaymentLink

GET /api/v1/pa/payment_links/{id}

Retrieve information about an existing payment link.

Parameters
idrequiredstring

Payment link unique identifier

Response body - 200 OK
activeboolean

The payment link’s active status, either true or false.

amountnumber

The payment amount for Fixed pricing.

collectable_shopper_infoobject

Every payment link requires the shopper to enter their name and email address. Additionally, you can request information for the following fields on each payment link.

collectable_shopper_info.billing_addressboolean

Defaults to false. If true, the shopper is required to input their billing address.

collectable_shopper_info.messageboolean

Defaults to true. This is an optional field for the shopper to leave a message with their payment.

collectable_shopper_info.phone_numberboolean

Defaults to false. If true, the shopper is required to input their phone number.

collectable_shopper_info.referenceboolean

Defaults to false. If true, the shopper is required to input a reference.

collectable_shopper_info.shipping_addressboolean

Defaults to false. If true, the shopper is required to input their shipping address.

created_atstring

Timestamp in ISO 8601 format when the payment link was created

currencystring

The payment currency for Fixed pricing.

customer_idstring

The Customer who is paying for this PaymentLink. Only applicable for links with reusable equals to false. This field is required if you want the payer to see the payment methods saved in the previous checkouts.

default_currencystring

The default currency for Flexible pricing.

descriptionstring

The additional description text that appears under the title in the payment checkout page.

expires_atstring

Payment link expiry timestamp in ISO 8601 format

idstring

Payment link unique identifier

latest_successful_payment_intent_idstring

PaymentIntent unique identifier of the latest payment (if any) successfully paid by your shopper via the payment link.

metadataobject

A set of key-value pairs that you can attach to the PaymentLink for storing additional information.

referencestring

A reference only visible to the merchant.

reusableboolean

Specifies whether the payment link can be used once or multiple times

statusstring

Status of the payment link, one of UNPAID or PAID. The payment link transitions from UNPAID to PAID when a payment is received.

successful_payment_intent_countinteger

The number of PaymentIntents successfully paid by your shopper via the payment link.

supported_currenciesarray

The supported currencies for Flexible pricing.

titlestring

The title of the payment link that is displayed in the payment checkout page.

updated_atstring

Timestamp in ISO 8601 format when the payment link was last updated

urlstring

The payment URL to the checkout page.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url), resource_not_found

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/payment_links/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_links/payment_link_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "active": true,
3 "amount": 165.15,
4 "collectable_shopper_info": {
5 "billing_address": false,
6 "message": true,
7 "phone_number": false,
8 "reference": false,
9 "shipping_address": false
10 },
11 "created_at": "2021-08-17T11:00:00+00:00",
12 "currency": "EUR",
13 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
14 "default_currency": "EUR",
15 "description": "shoes and dress",
16 "expires_at": "2021-11-04T16:00:00+00:00",
17 "id": "475dc845-bc7c-47eb-b2b0-52782b9d078d",
18 "latest_successful_payment_intent_id": "int_e65tkXCSzJrsMpTrzoFrjaau53",
19 "metadata": {
20 "customer_id": "12345678"
21 },
22 "reference": "1529",
23 "reusable": true,
24 "status": "PAID",
25 "successful_payment_intent_count": 1,
26 "supported_currencies": [
27 "EUR",
28 "AUD"
29 ],
30 "title": "Order #1529",
31 "updated_at": "2021-08-17T11:05:00+00:00",
32 "url": "https://pay.airwallex.com/hkdab0d955b5"
33}
Was this section helpful?

Send a PaymentLink

POST /api/v1/pa/payment_links/{id}/notify_shopper

Send an email notification to shopper with a payment link.

Parameters
idrequiredstring

Payment link unique identifier

Request body
shopper_emailrequiredstring

Shopper email address

Response body - 200 OK

OK

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, configuration_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url), resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/payment_links/{id}/notify_shopper
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_links/payment_link_id/notify_shopper' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "shopper_email": "[email protected]"
>}'
Response (200 OK)
1"<string>"
Was this section helpful?

Activate a PaymentLink

POST /api/v1/pa/payment_links/{id}/activate

Activates an inactive payment link.

Parameters
idrequiredstring

Payment link unique identifier

Response body - 200 OK
activeboolean

The payment link’s active status, either true or false.

amountnumber

The payment amount for Fixed pricing.

collectable_shopper_infoobject

Every payment link requires the shopper to enter their name and email address. Additionally, you can request information for the following fields on each payment link.

collectable_shopper_info.billing_addressboolean

Defaults to false. If true, the shopper is required to input their billing address.

collectable_shopper_info.messageboolean

Defaults to true. This is an optional field for the shopper to leave a message with their payment.

collectable_shopper_info.phone_numberboolean

Defaults to false. If true, the shopper is required to input their phone number.

collectable_shopper_info.referenceboolean

Defaults to false. If true, the shopper is required to input a reference.

collectable_shopper_info.shipping_addressboolean

Defaults to false. If true, the shopper is required to input their shipping address.

created_atstring

Timestamp in ISO 8601 format when the payment link was created

currencystring

The payment currency for Fixed pricing.

customer_idstring

The Customer who is paying for this PaymentLink. Only applicable for links with reusable equals to false. This field is required if you want the payer to see the payment methods saved in the previous checkouts.

default_currencystring

The default currency for Flexible pricing.

descriptionstring

The additional description text that appears under the title in the payment checkout page.

expires_atstring

Payment link expiry timestamp in ISO 8601 format

idstring

Payment link unique identifier

latest_successful_payment_intent_idstring

PaymentIntent unique identifier of the latest payment (if any) successfully paid by your shopper via the payment link.

metadataobject

A set of key-value pairs that you can attach to the PaymentLink for storing additional information.

referencestring

A reference only visible to the merchant.

reusableboolean

Specifies whether the payment link can be used once or multiple times

statusstring

Status of the payment link, one of UNPAID or PAID. The payment link transitions from UNPAID to PAID when a payment is received.

successful_payment_intent_countinteger

The number of PaymentIntents successfully paid by your shopper via the payment link.

supported_currenciesarray

The supported currencies for Flexible pricing.

titlestring

The title of the payment link that is displayed in the payment checkout page.

updated_atstring

Timestamp in ISO 8601 format when the payment link was last updated

urlstring

The payment URL to the checkout page.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, invalid_status_for_operation, configuration_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url), resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/payment_links/{id}/activate
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_links/payment_link_id/activate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "active": true,
3 "amount": 165.15,
4 "collectable_shopper_info": {
5 "billing_address": false,
6 "message": true,
7 "phone_number": false,
8 "reference": false,
9 "shipping_address": false
10 },
11 "created_at": "2021-08-17T11:00:00+00:00",
12 "currency": "EUR",
13 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
14 "default_currency": "EUR",
15 "description": "shoes and dress",
16 "expires_at": "2021-11-04T16:00:00+00:00",
17 "id": "475dc845-bc7c-47eb-b2b0-52782b9d078d",
18 "latest_successful_payment_intent_id": "int_e65tkXCSzJrsMpTrzoFrjaau53",
19 "metadata": {
20 "customer_id": "12345678"
21 },
22 "reference": "1529",
23 "reusable": true,
24 "status": "PAID",
25 "successful_payment_intent_count": 1,
26 "supported_currencies": [
27 "EUR",
28 "AUD"
29 ],
30 "title": "Order #1529",
31 "updated_at": "2021-08-17T11:05:00+00:00",
32 "url": "https://pay.airwallex.com/hkdab0d955b5"
33}
Was this section helpful?

Deactivate a PaymentLink

POST /api/v1/pa/payment_links/{id}/deactivate

Deactivates an active payment link.

Parameters
idrequiredstring

Payment link unique identifier

Response body - 200 OK
activeboolean

The payment link’s active status, either true or false.

amountnumber

The payment amount for Fixed pricing.

collectable_shopper_infoobject

Every payment link requires the shopper to enter their name and email address. Additionally, you can request information for the following fields on each payment link.

collectable_shopper_info.billing_addressboolean

Defaults to false. If true, the shopper is required to input their billing address.

collectable_shopper_info.messageboolean

Defaults to true. This is an optional field for the shopper to leave a message with their payment.

collectable_shopper_info.phone_numberboolean

Defaults to false. If true, the shopper is required to input their phone number.

collectable_shopper_info.referenceboolean

Defaults to false. If true, the shopper is required to input a reference.

collectable_shopper_info.shipping_addressboolean

Defaults to false. If true, the shopper is required to input their shipping address.

created_atstring

Timestamp in ISO 8601 format when the payment link was created

currencystring

The payment currency for Fixed pricing.

customer_idstring

The Customer who is paying for this PaymentLink. Only applicable for links with reusable equals to false. This field is required if you want the payer to see the payment methods saved in the previous checkouts.

default_currencystring

The default currency for Flexible pricing.

descriptionstring

The additional description text that appears under the title in the payment checkout page.

expires_atstring

Payment link expiry timestamp in ISO 8601 format

idstring

Payment link unique identifier

latest_successful_payment_intent_idstring

PaymentIntent unique identifier of the latest payment (if any) successfully paid by your shopper via the payment link.

metadataobject

A set of key-value pairs that you can attach to the PaymentLink for storing additional information.

referencestring

A reference only visible to the merchant.

reusableboolean

Specifies whether the payment link can be used once or multiple times

statusstring

Status of the payment link, one of UNPAID or PAID. The payment link transitions from UNPAID to PAID when a payment is received.

successful_payment_intent_countinteger

The number of PaymentIntents successfully paid by your shopper via the payment link.

supported_currenciesarray

The supported currencies for Flexible pricing.

titlestring

The title of the payment link that is displayed in the payment checkout page.

updated_atstring

Timestamp in ISO 8601 format when the payment link was last updated

urlstring

The payment URL to the checkout page.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, invalid_status_for_operation

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url), resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/payment_links/{id}/deactivate
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_links/payment_link_id/deactivate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "active": true,
3 "amount": 165.15,
4 "collectable_shopper_info": {
5 "billing_address": false,
6 "message": true,
7 "phone_number": false,
8 "reference": false,
9 "shipping_address": false
10 },
11 "created_at": "2021-08-17T11:00:00+00:00",
12 "currency": "EUR",
13 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
14 "default_currency": "EUR",
15 "description": "shoes and dress",
16 "expires_at": "2021-11-04T16:00:00+00:00",
17 "id": "475dc845-bc7c-47eb-b2b0-52782b9d078d",
18 "latest_successful_payment_intent_id": "int_e65tkXCSzJrsMpTrzoFrjaau53",
19 "metadata": {
20 "customer_id": "12345678"
21 },
22 "reference": "1529",
23 "reusable": true,
24 "status": "PAID",
25 "successful_payment_intent_count": 1,
26 "supported_currencies": [
27 "EUR",
28 "AUD"
29 ],
30 "title": "Order #1529",
31 "updated_at": "2021-08-17T11:05:00+00:00",
32 "url": "https://pay.airwallex.com/hkdab0d955b5"
33}
Was this section helpful?

Get list of PaymentLinks

GET /api/v1/pa/payment_links

Retrieves a list of payment links that a merchant has created previously.

Parameters
activeboolean

The payment link's active status, either true or false

from_created_atstring

Specifies start time (inclusive) in ISO 8601 for a range query by created timestamp

page_numinteger

Page number starting from 0

page_sizeinteger

Number of payment links to be listed per page

reusableboolean

Specifies whether the payment link can be used once or multiple times

statusstring

Status of the payment link, one of UNPAID or PAID.

to_created_atstring

Specifies end time (exclusive) in ISO 8601 for a range query by created timestamp

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

List items

items.activeboolean

The payment link’s active status, either true or false.

items.amountnumber

The payment amount for Fixed pricing.

items.collectable_shopper_infoobject

Every payment link requires the shopper to enter their name and email address. Additionally, you can request information for the following fields on each payment link.

items.collectable_shopper_info.billing_addressboolean

Defaults to false. If true, the shopper is required to input their billing address.

items.collectable_shopper_info.messageboolean

Defaults to true. This is an optional field for the shopper to leave a message with their payment.

items.collectable_shopper_info.phone_numberboolean

Defaults to false. If true, the shopper is required to input their phone number.

items.collectable_shopper_info.referenceboolean

Defaults to false. If true, the shopper is required to input a reference.

items.collectable_shopper_info.shipping_addressboolean

Defaults to false. If true, the shopper is required to input their shipping address.

items.created_atstring

Timestamp in ISO 8601 format when the payment link was created

items.currencystring

The payment currency for Fixed pricing.

items.customer_idstring

The Customer who is paying for this PaymentLink. Only applicable for links with reusable equals to false. This field is required if you want the payer to see the payment methods saved in the previous checkouts.

items.default_currencystring

The default currency for Flexible pricing.

items.descriptionstring

The additional description text that appears under the title in the payment checkout page.

items.expires_atstring

Payment link expiry timestamp in ISO 8601 format

items.idstring

Payment link unique identifier

items.latest_successful_payment_intent_idstring

PaymentIntent unique identifier of the latest payment (if any) successfully paid by your shopper via the payment link.

items.metadataobject

A set of key-value pairs that you can attach to the PaymentLink for storing additional information.

items.referencestring

A reference only visible to the merchant.

items.reusableboolean

Specifies whether the payment link can be used once or multiple times

items.statusstring

Status of the payment link, one of UNPAID or PAID. The payment link transitions from UNPAID to PAID when a payment is received.

items.successful_payment_intent_countinteger

The number of PaymentIntents successfully paid by your shopper via the payment link.

items.supported_currenciesarray

The supported currencies for Flexible pricing.

items.titlestring

The title of the payment link that is displayed in the payment checkout page.

items.updated_atstring

Timestamp in ISO 8601 format when the payment link was last updated

items.urlstring

The payment URL to the checkout page.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/payment_links
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_links' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "active": true,
6 "amount": 165.15,
7 "collectable_shopper_info": {
8 "billing_address": false,
9 "message": true,
10 "phone_number": false,
11 "reference": false,
12 "shipping_address": false
13 },
14 "created_at": "2021-08-17T11:00:00+00:00",
15 "currency": "EUR",
16 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
17 "default_currency": "EUR",
18 "description": "shoes and dress",
19 "expires_at": "2021-11-04T16:00:00+00:00",
20 "id": "475dc845-bc7c-47eb-b2b0-52782b9d078d",
21 "latest_successful_payment_intent_id": "int_e65tkXCSzJrsMpTrzoFrjaau53",
22 "metadata": {
23 "customer_id": "12345678"
24 },
25 "reference": "1529",
26 "reusable": true,
27 "status": "PAID",
28 "successful_payment_intent_count": 1,
29 "supported_currencies": [
30 "EUR",
31 "AUD"
32 ],
33 "title": "Order #1529",
34 "updated_at": "2021-08-17T11:05:00+00:00",
35 "url": "https://pay.airwallex.com/hkdab0d955b5"
36 }
37 ]
38}
Was this section helpful?